Resource icon

Updated libubode for 32-bit RaspianOS 2022-06-20

Geir Nøklebye

World Builder
Staff member
Geir Nøklebye submitted a new resource:

Updated libubode for 32-bit RaspianOS - libubode for 32-bit RaspianOS

Changes on the opensim-0.9.2-dev branch has prompted the need for rebuilding the ubode library for 32-bit RaspianOS.

Both the library and config file is included in the enclosed zip file. These are to be placed in bin and bin/lib32 respectively.

Since there is no reliable 64-bit mono for RaspianOS 64-bit that can run or compile opensim, the library is provided 32-bit only.

Read more about this resource...
 

Benjamin

New member
I was just about to post a message to you! Thank you for noticing and addressing the issue! Thank you so much! I'm always keeping up with the forum and your projects ;) I will give this a try right now!
 

Geir Nøklebye

World Builder
Staff member
I had hoped to do a lot more on the PI, but since Microsoft took over the mono project, there has not been a single update for over 2 years, meaning there are no versions for Debian 11, Raspbian based on Deb 11, 64-bit ARM or Apple Silicon. The mono 6.0.8 version that is in the Deb 11 distro cannot reliably run OpenSim, and the compiler crashes if you try to compile it.

It is possible to coerce Debian 11 to use the mono version for Debian 10 (Buster), but it is not ideal and it can break any time.

Microsoft is busy updating to .Net5&6 but will only offer it on Windows and macOS. They recently launched VS 2022 for Apple Silicon that has native .Net5 and no longer use mono.

I guess that is Microsoft in a nutshell – take over or buy a project, and then kill it. We have seen it so many times before...
 

Members online

No members online now.
Top